<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_RSA_PKCS_PSS_PARAMS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_RSA_PKCS_PSS_PARAMS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae4f8f4479f2ba048f5c333c8e3b9de7f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#aaf1084907f5cc09a3e0b85ab022a240d">CK_MECHANISM_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__RSA__PKCS__PSS__PARAMS.html#ae4f8f4479f2ba048f5c333c8e3b9de7f">hashAlg</a></td></tr>
<tr class="separator:ae4f8f4479f2ba048f5c333c8e3b9de7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74822dfb6d861a87cbe4ddaeedc769ef"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a85bafbc5ca956ad99bbc6068334a98e6">CK_RSA_PKCS_MGF_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__RSA__PKCS__PSS__PARAMS.html#a74822dfb6d861a87cbe4ddaeedc769ef">mgf</a></td></tr>
<tr class="separator:a74822dfb6d861a87cbe4ddaeedc769ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2e0a2e9553fe7d0e81acf85fc2bdeb4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__RSA__PKCS__PSS__PARAMS.html#ae2e0a2e9553fe7d0e81acf85fc2bdeb4">sLen</a></td></tr>
<tr class="separator:ae2e0a2e9553fe7d0e81acf85fc2bdeb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01081">1081</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ae4f8f4479f2ba048f5c333c8e3b9de7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4f8f4479f2ba048f5c333c8e3b9de7f">&#9670;&nbsp;</a></span>hashAlg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#aaf1084907f5cc09a3e0b85ab022a240d">CK_MECHANISM_TYPE</a> hashAlg</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01082">1082</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a74822dfb6d861a87cbe4ddaeedc769ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74822dfb6d861a87cbe4ddaeedc769ef">&#9670;&nbsp;</a></span>mgf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a85bafbc5ca956ad99bbc6068334a98e6">CK_RSA_PKCS_MGF_TYPE</a> mgf</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01083">1083</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ae2e0a2e9553fe7d0e81acf85fc2bdeb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2e0a2e9553fe7d0e81acf85fc2bdeb4">&#9670;&nbsp;</a></span>sLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> sLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01084">1084</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
